package com.tocea.easycoverage.framework.exception;

import com.tocea.easycoverage.annotations.SkipAutomaticTests;

/**
 * Assertion error to be used by EasyCoverage's checkers.
 * 
 * @author Romain Delamare
 * 
 */
public class EasycoverageAssertionError extends AssertionError {

	private static final long	serialVersionUID	= -3699721258898389686L;
	/**
	 * The cause of the error, if applicable
	 */
	private final Throwable		cause;

	public EasycoverageAssertionError() {
		cause = null;
	}

	public EasycoverageAssertionError(final String message) {
		super(message);
		cause = null;
	}

	public EasycoverageAssertionError(final String message,
			final Throwable cause) {
		super(message);
		this.cause = cause;
	}

	public EasycoverageAssertionError(final Throwable cause) {
		this.cause = cause;
	}

	@Override
	@SkipAutomaticTests
	public Throwable getCause() {
		return cause;
	}

}
